﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_MaintenanceStockMasterScript")
<div class="content">
	<table style="width: 100%">
		<tr>
			<td style="width:20%;border:1px solid black;padding:7px;">
				<table >
					<tr>
				        <td align="left" valign="top">
							@Html.DevExpress().TextBox(hsettings =>
							{
							hsettings.Name = "Process_ID2";
							hsettings.ClientVisible = false;
							}).GetHtml()
							@using (Html.BeginForm("CallbackUpload", "SHIPPING_SCHEDULE", FormMethod.Post))
							{
							@Html.DevExpress().UploadControl(
							Uploader =>
							{
							Uploader.Name = "UploadButton";
							Uploader.CallbackRouteValues = new { Controller = "MaintenanceStockMaster", Action = "CallbackUpload" };
							Uploader.ShowProgressPanel = false;
							//Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
							Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBack(e.callbackData);}}";
							Uploader.Width = 200;
							}).GetHtml()
							}
							@Html.DevExpress().HyperLink(Link =>
							{
							Link.Name = "I_DownloadLink";
							Link.Properties.Text = "Download Template";
							Link.Width = 160;
                            Link.NavigateUrl = "javascript:void(0)";
                            Link.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ existingFile(); }}");
                            Link.Style.Add("display", "inline-table");
							}).GetHtml()
                        </td>
                        <td align="left" valign="top">
							@Html.DevExpress().Button(Button =>
							{
							Button.Name = "I_Upload";
							Button.Text = "Upload";
							Button.Width = 90;
							Button.ClientSideEvents.Click = "UploadData";
							//Button.Style.Add("display", "inline-table");
							Button.UseSubmitBehavior = true;
							//Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("VESSEL_SCHEDULE", "FTR-SPEX-55-01", "Upload");
							}).GetHtml()
							<br />
						</td>
					</tr>
				</table>
			</td>
			<td style="width:60%;border:1px solid black;padding:7px;">
				<table width="100%">
					<tr style="height:40px">
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Part No";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
                                settings.Properties.MaxLength = 15;
                                settings.Name = "I_PART_NO";
                                settings.Width = 185;
                                settings.Properties.ClientSideEvents.Init = "SetFocus";
	    						settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
							}
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Part Dimension";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 15%;">
							@Html.DevExpress().ComboBox(
							settings =>
							{
							settings.Name = "I_PART_DIMENSION";
                            settings.Width = 185;
							settings.Properties.DropDownWidth = 150;
							settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
							settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
							settings.Properties.ValueType = typeof(string);
							settings.Properties.ValueField = "SYSTEM_CD";
							settings.Properties.TextField = "SYSTEM_VALUE";
							}).BindList(ViewData["PartDimensionHeader"]).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Rack Address";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 15%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
                                settings.Properties.MaxLength = 12;
                                settings.Name = "I_RACK_ADDRESS";
                                settings.Width = 185;
							    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                                settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
							}
							).GetHtml()
						</td>
					</tr>
					<tr>
						<td colspan="8" align="right">
							@Html.DevExpress().Button(edtSetting =>
							{
							edtSetting.Name = "cmdSearch";
							edtSetting.Width = 80;
							edtSetting.Text = "Search";
							edtSetting.ClientSideEvents.Click = "OnSearch";
							edtSetting.Style.Add("display", "inline-table");
							edtSetting.UseSubmitBehavior = true;
							//            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "SEARCH");
							}).GetHtml()
							@Html.DevExpress().Button(edtSetting =>
							{
							edtSetting.Name = "cmdClear";
							edtSetting.Width = 80;
							edtSetting.Text = "Clear";
							edtSetting.ClientSideEvents.Click = "OnClear";
							edtSetting.Style.Add("display", "inline-table");
							edtSetting.UseSubmitBehavior = true;
							//           edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "CLEAR");
							}).GetHtml()
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			</br>
		</tr>
		<tr>
			<td colspan="2">
				<hr />
			</td>
		</tr>
		<tr>
			<td style="width: 20%">
				<table>
					<tr>
						<td style="width:300px;">
							@Html.DevExpress().Button(edtSetting =>
							{
							edtSetting.Name = "cmdDownload";
							edtSetting.Width = 80;
							edtSetting.Text = "Download";
							edtSetting.ClientSideEvents.Click = "DownloadData";
							edtSetting.Style.Add("display", "inline-table");
							edtSetting.UseSubmitBehavior = true;
							//            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "DOWNLOAD");
							}).GetHtml()
							@Html.DevExpress().Button(edtSetting =>
							{
							edtSetting.Name = "cmdSave";
							edtSetting.Width = 80;
							edtSetting.Text = "Save";
							edtSetting.ClientSideEvents.Click = "SaveData";
							edtSetting.Style.Add("display", "inline-table");
							edtSetting.UseSubmitBehavior = true;
							//         edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "SAVE");
							}).GetHtml()
							@Html.DevExpress().Button(edtSetting =>
							{
							edtSetting.Name = "cmdCancel";
							edtSetting.Width = 80;
							edtSetting.Text = "Cancel";
							edtSetting.ClientSideEvents.Click = "CancelConfirm";
							edtSetting.Style.Add("display", "inline-table");
							edtSetting.UseSubmitBehavior = true;
							//       edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "CANCEL");
							}).GetHtml()
						</td>
						<td style="padding-left:1em; padding-top:10px;">
							<br />
						</td>
					</tr>
				</table>
			</td>
			<td style="width: 45%" align="right">
				@Html.DevExpress().Button(edtSetting =>
				{
				edtSetting.Name = "cmdAdd";
				edtSetting.Width = 80;
				edtSetting.Text = "Add";
				edtSetting.ClientSideEvents.Click = "AddData";
				edtSetting.Style.Add("display", "inline-table");
				edtSetting.UseSubmitBehavior = true;
				edtSetting.ClientVisible = true;
				//            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "ADD");
				}).GetHtml()
				@Html.DevExpress().Button(edtSetting =>
				{
				edtSetting.Name = "cmdEdit";
				edtSetting.Width = 80;
				edtSetting.Text = "Edit";
				edtSetting.ClientSideEvents.Click = "EditData";
				edtSetting.Style.Add("display", "inline-table");
				edtSetting.UseSubmitBehavior = true;
				edtSetting.ClientVisible = true;
				//edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PriceMaster", "FTR-SPEX-125-02", "DELETE");
				}).GetHtml()
				@Html.DevExpress().Button(edtSetting =>
				{
				edtSetting.Name = "cmdDelete";
				edtSetting.Width = 80;
				edtSetting.Text = "Delete";
				edtSetting.ClientSideEvents.Click = "DeleteData";
				edtSetting.Style.Add("display", "inline-table");
				edtSetting.UseSubmitBehavior = true;
				//            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "DELETE");
				}).GetHtml()
			</td>
		</tr>
	</table>
</div>
<div class="content" style="min-height: 300px">
	@Html.Partial("MaintenanceStockMasterGrid")
</div>